package com.apobates.forum.core.impl.event;

import com.apobates.forum.core.entity.Posts;

/**
 * 回复创建事件
 * @author xiaofanku
 * @since 20200520
 */
public class PostsPublishEvent {
    private static final long serialVersionUID = -7693392703940046401L;
    private final Posts posts;
    private final String userAgent;
    
    public PostsPublishEvent(Posts posts, String userAgent) {
        this.posts = posts;
        this.userAgent = userAgent;
    }
    
    public Posts getPosts() {
        return posts;
    }
    
    public String getUserAgent() {
        return userAgent;
    }
}